Skip to main content
Network Management/Network Services
GETNetwork ServicesSince 0.6SynchronousAuth Required

QueryNetworkServiceProvider

QueryNetworkServiceProvider

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. Seeerror for details.

    • codeStringRequired

      Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root error: the source error that caused the current error. If there is no original error, this field is null

  • inventoriesListRequired

    Seeinventories for details.

    • uuidStringRequired

      The UUID of the resource, uniquely identifying the resource

    • nameStringRequired

      The resource name

    • descriptionStringRequired

      The detailed description of the resource

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation time

    • lastOpDateTimestampRequired

      The last modification time

    • networkServiceTypesSetRequired

      No description provided.

    • attachedL2NetworkUuidsSetRequired

      No description provided.

Endpoint

GET/zstack/v1/network-services/providers

/zstack/v1/network-services/providers

Operation ID

QueryNetworkServiceProvider

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/network-services/providers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3cf04a2c5e1a4c4c8947545323e35d6a", "name": "SecurityGroup", "type": "SecurityGroup", "createDate": "Jun 7, 2017 9:21:03 PM", "lastOpDate": "Jun 7, 2017 9:21:03 PM", "networkServiceTypes": [ "SecurityGroup" ], "attachedL2NetworkUuids": [] } ] }

Change History

This API has no change history records yet.

View all change history